package com.isu.gaswellwatch.controller;


import com.isu.gaswellwatch.entity.Response;
import com.isu.gaswellwatch.service.SummaryService;
import com.isu.gaswellwatch.vo.summary.LineSummaryVO;
import com.isu.gaswellwatch.vo.summary.PieSummaryVO;
import jakarta.annotation.Resource;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;


@RestController
@RequestMapping("summary")
public class SummaryController {


    @Resource
    private SummaryService summaryService;

    @GetMapping("/getIndexPieSummary")
    public Response<List<PieSummaryVO>> getIndexPieSummary() {
        return Response.succeed(this.summaryService.getIndexPieSummary());
    }

    @GetMapping("/getPressureChartData")
    public Response<LineSummaryVO> getPressureChartData(@RequestParam(required = false)String startTime,
                                                        @RequestParam (required = false)String endTime,
                                                        @RequestParam Long deviceId) {
        return Response.succeed(this.summaryService.getPressureChartData(startTime,endTime,deviceId));
    }

    @GetMapping("/getSwitchChartData")
    public Response<LineSummaryVO> getSwitchChartData(@RequestParam(required = false)String startTime,
                                                        @RequestParam (required = false)String endTime,
                                                        @RequestParam Long deviceId) {
        return Response.succeed(this.summaryService.getSwitchChartData(startTime,endTime,deviceId));
    }


}

