package com.isu.gaswellwatch.mapper;


import com.isu.gaswellwatch.dto.BlockCreateRequest;
import com.isu.gaswellwatch.dto.BlockEditRequest;
import com.isu.gaswellwatch.entity.Block;
import com.isu.gaswellwatch.vo.BlockVO;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.MappingTarget;

import java.util.List;

/**
 * 区块Mapper blocks
 *
 * @author scwsl
 * @date 2024-11-17
 */
@Mapper
public interface BlockMapper {

    void create(BlockCreateRequest request, @MappingTarget Block block);

    @Mapping(target = "id", ignore = true)
    void copyToEntity(BlockEditRequest request, @MappingTarget Block block);

    BlockVO toPageVO(Block entity);

    List<BlockVO> toPageVO(List<Block> entities);


    default Block create(BlockCreateRequest request) {
        Block block = Block.builder().build();
        this.create(request, block);
        return block;
    }

}
