CREATE TABLE `$TableName$`
(
    `id`                             bigint         NOT NULL COMMENT '主键',
    `device_id`                      int            NOT NULL COMMENT '设备标识',
    `created_time`                   datetime       NOT NULL COMMENT '数据落库时间',
    `collection_time`                datetime       NOT NULL COMMENT '采集指令下发时间',
    `receive_time`                   datetime       NOT NULL COMMENT '接收到数据时间',
    `solenoid_valve_status`          int            NULL DEFAULT NULL COMMENT '电磁阀状态',
    `controller_current_status`      int            NULL DEFAULT NULL COMMENT '控制器当前状态',
    `current_status_remaining_time`  varchar(10)    NULL DEFAULT NULL COMMENT '当前状态剩余时间',
    `current_status_start_time`      varchar(30)    NULL DEFAULT NULL COMMENT '当前状态开始时间',
    `cas_pressure`                   decimal(10, 1) NULL DEFAULT NULL COMMENT '套压',
    `oil_pressure`                   decimal(10, 1) NULL DEFAULT NULL COMMENT '油压',
    `plunger_rise_time`              varchar(10)    NULL DEFAULT NULL COMMENT '柱塞上升时间',
    `arrival_sensor_delay_time`      varchar(10)    NULL DEFAULT NULL COMMENT '到达传感器延时时间',
    `well_shut_in_time`              varchar(10)    NULL DEFAULT NULL COMMENT '关井时间',
    `after_flow_time`                varchar(10)    NULL DEFAULT NULL COMMENT '续流时间',
    `min_close_well_time`            varchar(10)    NULL DEFAULT NULL COMMENT '最小关井时间',
    `min_open_well_time`             varchar(10)    NULL DEFAULT NULL COMMENT '最小开井时间',
    `max_open_well_time`             varchar(10)    NULL DEFAULT NULL COMMENT '最大开井时间',
    `max_close_well_time`            varchar(10)    NULL DEFAULT NULL COMMENT '最大关井时间',
    `cas_pressure_switch`            int            NULL DEFAULT NULL COMMENT '套压开关',
    `cas_pressure_sensor_range`      decimal(10, 1) NULL DEFAULT NULL COMMENT '套压PSI比例',
    `open_cas_pressure`              decimal(10, 1) NULL DEFAULT NULL COMMENT '开井套压',
    `open_reset_cas_pressure`        decimal(10, 1) NULL DEFAULT NULL COMMENT '复位套压',
    `open_cas_pressure_stable_time`  varchar(10)    NULL DEFAULT NULL COMMENT '稳定时间',
    `close_cas_pressure`             decimal(10, 1) NULL DEFAULT NULL COMMENT '关井套压',
    `close_trip_cas_pressure`        decimal(10, 1) NULL DEFAULT NULL COMMENT '跳闸套压',
    `close_cas_pressure_stable_time` varchar(10)    NULL DEFAULT NULL COMMENT '稳定时长',
    `tub_pressure_switch`            int            NULL DEFAULT NULL COMMENT '油压开关',
    `tub_pressure_sensor_range`      decimal(10, 1) NULL DEFAULT NULL COMMENT '油压PSI比例',
    `open_tub_pressure`              decimal(10, 1) NULL DEFAULT NULL COMMENT '开井油压',
    `open_reset_tub_pressure`        decimal(10, 1) NULL DEFAULT NULL COMMENT '复位油压',
    `open_tub_pressure_stable_time`  varchar(10)    NULL DEFAULT NULL COMMENT '油压稳定时间',
    PRIMARY KEY (`id`) USING BTREE,
    UNIQUE INDEX `udx_device_create_time` (`device_id` ASC, `collection_time` ASC) USING BTREE COMMENT '设备采集数据唯一键'
) ENGINE = InnoDB COMMENT = '设备ID：$DeviceId$的采集数据'